import { StyleSheet, Text, View, SafeAreaView } from 'react-native';
import { createStackNavigator } from '@react-navigation/stack';
import Themes from '../assets/Themes.js';
import ColorMenu from '../screens/ColorMenu.js';
import Onboarding from '../screens/Onboarding.js';
import ColorSelection from '../screens/ColorSelection.js';

export default function ColorsTask({ navigation }) {
  const Stack = createStackNavigator();

  const forFade = ({ current }) => ({
    cardStyle: {
      opacity: current.progress,
    },
  });

  return (  
    <Stack.Navigator screenOptions={{
      headerShown: false,
      cardStyleInterpolator: forFade,
   }}>
        <Stack.Screen options={{headerShown:false}} name="ColorMenu" component={ColorMenu} />
        <Stack.Screen options={{headerShown:false}} name="ColorSelection" component={ColorSelection} />


    </Stack.Navigator>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: Themes.background,
    alignItems: 'center',
    justifyContent: 'center',
    height: '100%',
    width: '100%',
    borderWidth: 3,
    borderColor: 'red'
  },
});